psd\_tools\.psd\.vector
=======================

.. automodule:: psd_tools.psd.vector

Path
----

.. autoclass:: psd_tools.psd.vector.Path

Subpath
-------

.. autoclass:: psd_tools.psd.vector.Subpath
    :members:

Knot
----

.. autoclass:: psd_tools.psd.vector.Knot

ClipboardRecord
---------------

.. autoclass:: psd_tools.psd.vector.ClipboardRecord

PathFillRule
------------

.. autoclass:: psd_tools.psd.vector.PathFillRule

InitialFillRule
---------------

.. autoclass:: psd_tools.psd.vector.InitialFillRule


VectorMaskSetting
-----------------

.. autoclass:: psd_tools.psd.vector.VectorMaskSetting
    :members:


VectorStrokeContentSetting
--------------------------

.. autoclass:: psd_tools.psd.vector.VectorStrokeContentSetting
